Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Enum Class ProcessingStatus

java.lang.Object
java.lang.Enum<ProcessingStatus>
com.microblink.blinkid.entities.recognizers.blinkid.generic.ProcessingStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ProcessingStatus>`, `Constable`

public enum ProcessingStatus extends Enum<ProcessingStatus>
Detailed information about the recognition process.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AwaitingOtherSide`
  Front side recognition has completed successfully, and recognizer is waiting for the other side to be scanned.
  `BarcodeDetectionFailed`
  The barcode was not found on the image.
  `BarcodeRecognitionFailed`
  Reading or parsing of the barcode has failed.
  `ClassFiltered`
  Currently scanned document has been filtered out by its class.
  `DetectionFailed`
  The document was not found on the image.
  `FieldIdentificationFailed`
  Unexpected fields are present on the document and removed from the final result.
  `ImagePreprocessingFailed`
  Preprocessing of the input image has failed.
  `ImageReturnFailed`
  Failed to return a requested image.
  `InvalidCharactersFound`
  One of the extracted fields contains a character which does not satisfy the rule defined for that specific field.
  `MandatoryFieldMissing`
  Fields expected to appear on the scanned document have not been found.
  `MrzParsingFailed`
  Parsing of the MRZ has failed.
  `NotScanned`
  If front side recognition has not completed successfully, the back side is not scanned.
  `ScanningWrongSide`
  The wrong side of the document is scanned.
  `StabilityTestFailed`
  Stability is achieved when the same document is provided on consecutive frames, resulting in a consistent recognition between frames prior to data extraction.
  `Success`
  The document was fully scanned and data was extracted as expected.
  `UnsupportedByLicense`
  Document class is not included in the issued license.
  `UnsupportedClass`
  Document currently not supported by the recognizer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProcessingStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProcessingStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Success

    public static final ProcessingStatus Success
    The document was fully scanned and data was extracted as expected.

  - ### DetectionFailed

    public static final ProcessingStatus DetectionFailed
    The document was not found on the image.

  - ### ImagePreprocessingFailed

    public static final ProcessingStatus ImagePreprocessingFailed
    Preprocessing of the input image has failed.

  - ### StabilityTestFailed

    public static final ProcessingStatus StabilityTestFailed
    Stability is achieved when the same document is provided on consecutive frames, resulting in a consistent recognition between frames prior to data extraction. Valid only for video feed.

  - ### ScanningWrongSide

    public static final ProcessingStatus ScanningWrongSide
    The wrong side of the document is scanned. Front side scan is completed and back side is expected, but not provided by the end-user. Possible also if front is expected at the start of the scanning process and back is presented first by the end-user.

  - ### FieldIdentificationFailed

    public static final ProcessingStatus FieldIdentificationFailed
    Unexpected fields are present on the document and removed from the final result.

  - ### MandatoryFieldMissing

    public static final ProcessingStatus MandatoryFieldMissing
    Fields expected to appear on the scanned document have not been found.

  - ### InvalidCharactersFound

    public static final ProcessingStatus InvalidCharactersFound
    One of the extracted fields contains a character which does not satisfy the rule defined for that specific field. This processing status can only occur if `BlinkIdMultiSideRecognizer.shouldValidateResultCharacters()` or `BlinkIdMultiSideRecognizer.shouldValidateResultCharacters()` setting is set to true.

  - ### ImageReturnFailed

    public static final ProcessingStatus ImageReturnFailed
    Failed to return a requested image.

  - ### BarcodeRecognitionFailed

    public static final ProcessingStatus BarcodeRecognitionFailed
    Reading or parsing of the barcode has failed.

  - ### MrzParsingFailed

    public static final ProcessingStatus MrzParsingFailed
    Parsing of the MRZ has failed.

  - ### ClassFiltered

    public static final ProcessingStatus ClassFiltered
    Currently scanned document has been filtered out by its class. Occurrence of this processing status is affected by `BlinkIdMultiSideRecognizer.setClassFilter(ClassFilter)` or `BlinkIdSingleSideRecognizer.setClassFilter(ClassFilter)` setting.

  - ### UnsupportedClass

    public static final ProcessingStatus UnsupportedClass
    Document currently not supported by the recognizer.

  - ### UnsupportedByLicense

    public static final ProcessingStatus UnsupportedByLicense
    Document class is not included in the issued license.

  - ### AwaitingOtherSide

    public static final ProcessingStatus AwaitingOtherSide
    Front side recognition has completed successfully, and recognizer is waiting for the other side to be scanned.

  - ### NotScanned

    public static final ProcessingStatus NotScanned
    If front side recognition has not completed successfully, the back side is not scanned.

  - ### BarcodeDetectionFailed

    public static final ProcessingStatus BarcodeDetectionFailed
    The barcode was not found on the image. This processing status can only occur if document has mandatory barcode.

- ## Method Details

  - ### values

    public static ProcessingStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProcessingStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null